.pt-o-game-draw-line-2 {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  transition: none;
  position: relative;
  &__container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

    & > .__paper {
      width: 64.2rem;
      height: 100%;
      margin: 0 auto;
      font-size: 2rem;
      line-height: 3.2rem;
      position: relative;

      &.--hidden {
        display: none;
      }
      .__pin.--right {
        display: none;
      }

      & > .__toggle {
        width: 1.6rem;
        height: 1.6rem;
        cursor: pointer;
        position: absolute;
        top: 1.8rem;
        right: 3.6rem;
        z-index: 2;
        transform: rotate(45deg);
        .rs-toggle {
          .rs-toggle-presentation {
            background: $salmon;
          }
        }

        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: $kellyGreen;
          }
        }
      }
    }
  }
  &__left {
    width: 250px;
    max-width: 250px;
    height: 270px;
    max-height: 270px;
    border-radius: 9rem 0 0 9rem;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

    & > .__player {
      width: 12.8rem;
      height: 12.8rem;
    }

    & > .__duration {
      color: $dodgerBlue;
      font-family: 'mont_sb';
      font-size: 2.8rem;
      line-height: 3.4rem;
      position: absolute;
      bottom: 0;
      left: 50%;
      transform: translateX(-50%);
    }
  }

  &__right {
    position: relative;
    max-width: calc(100% - 255px);
    width: 100%;
    height: 100%;
    margin: 0 auto;
    background: $white;
    border-radius: 1.2rem;
    display: flex;
    flex-direction: column;
    font-family: 'mont_m';
    & > .__tapescript {
      min-width: 17.6rem;
      height: 4.6rem;
      background: linear-gradient($deepSkyBlue, $dodgerBlue);
      border-radius: 2.3rem;
      color: $white;
      font-family: 'mont_b';
      font-size: 1.8rem !important;
      position: absolute;
      bottom: 0;
      left: - 127.5px;
      transform: translateX(-50%);

      &:active {
        &::before {
          opacity: 1;
        }
      }

      &::before {
        width: 17.6rem;
        height: 4.6rem;
        background: $deepSkyBlue;
        border-radius: 2.3rem;
        color: $white;
        content: 'Tapescript';
        display: flex;
        align-items: center;
        justify-content: center;
        font-family: 'mont_b';
        font-size: 1.8rem;
        opacity: 0;
        pointer-events: none;
        position: absolute;
        top: 0;
        left: 0;
      }
    }

    & > .__header {
      padding: 1.6rem 3.2rem;
      background: linear-gradient($mayaBlue, $dodgerBlue);
      border-radius: 1.2rem 1.2rem 0 0;
      color: $white;
      font-family: 'mont_m';
      font-size: 1.8rem;
      line-height: 2.2rem;
      position: relative;
      text-align: center;
      max-height: 45%;
      overflow: auto;
      &::-webkit-scrollbar {
        width: 7px;
        background-color: transparent;
      }
      &::-webkit-scrollbar-track {
        background-color: transparent;
        border-radius: 10px;
        margin-top: 1rem;
        margin-bottom: 1rem;
      }
      &::-webkit-scrollbar-thumb {
        background: rgba(0, 0, 0, 0.2);
        border-radius: 10px;
      }
    }

    & > .__content {
      padding: 1rem;
      flex: 1;
      position: relative;
      display: flex;
      justify-content: center;
      height: calc(100% - 6rem);
      #canvas-draw-line-2{
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        pointer-events: none;
        z-index: 5;
      }
      .block-item {
        display: flex;
        justify-content: center;
        flex: none;
        position: relative;
        &__list {
          width: 100%;
          padding: 0.6rem 1.6rem;
          position: absolute;
          top: 0;
          left: 0;
          display: flex;
          overflow-x: auto;
          flex-direction: column;
          overflow-y: auto;
          align-items: center;
        }
        &_button {
          height: 110px;
          width: 110px;
          border: 1px dashed #2692ff;
          border-radius: 0.8rem;
          margin-bottom: 0.6em;
          display: flex;
          justify-content: center;
          align-items: center;
          position: relative;
          cursor: pointer;
          flex-direction: row-reverse;
          padding: 4px;

          .__content-answer {
            position: relative;
            margin-left: 0;
            width: 100%;
            height: 100%;
            // width: calc(100% - 8px);
            // height: calc(100% - 8px);
            border: 1px solid #97bee5;
            border-radius: 0.8rem;
            display: flex;
            justify-content: center;
            align-items: center;
            img {
              height: calc(100% - 10px);
              width: calc(100% - 10px);
              object-fit: contain;
              margin: 0;
            }
            
          }
          .__bg-blur{
            height: calc(100% - 10px);
            width: calc(100% - 10px);
            top:5px;
            left: 5px;
            position: absolute;
            border-radius: 0.8rem;
            display: none;
            background: rgba($color: #000, $alpha: 0.2);
          }
          &.default {
            border: none;
          }

          &.matched {
            border: none;
            .__content-answer {
              // background: #97bee5;
            }
            .__bg-blur{
              display: block;
            }

            &.--example {
              border: none;
              box-shadow: none;
              .__content-answer {
                // background: #67ab8d;
                box-shadow: 0 0 0 1px #67ab8d;
              }
              .__bg-blur{
                display: none !important;
              }
              img.icon-deleted {
                display: none !important;
              }
            }
          }
          &.selected {
            border: none;
            .__content-answer {
              border: 1px dashed #2692ff;
              box-shadow: none;
              // background: #e9f4ff;
              
            }
          }
          &.matching {
            // box-shadow: 0 0 0 1px #2692ff;
            border: none;
            .__content-answer {
              // background: #2692ff;
              border: none;
              box-shadow: 0 0 2px 1px #2692ff;
            }
            .__bg-blur{
              display: none;
            }
            img.icon-deleted {
              position: absolute;
              right: -3px;
              top: -3px;
              cursor: pointer;
              display: block;
            }
            &.--example {
              border: none;
              box-shadow: none;
              .__content-answer {
                // background: #67ab8d;
                box-shadow: 0 0 2px 1px #67ab8d;
              }
            }
          }
          &.--success {
            box-shadow: 0 0 0 1px $limeGreen;
            background: #fff;
            .__content-answer {
              background: $limeGreen;
            }
            .__bg-blur{
              display: none !important;
            }
            &.--example {
              border: none;
              box-shadow: none;
              .__content-answer {
                background: #67ab8d;
                box-shadow: none;
              }
            }
            img.icon-deleted {
              position: absolute;
              right: 5px;
              top: 0px;
              cursor: pointer;
              display: none;
            }
          }
          &.--danger {
            box-shadow: 0 0 0 1px $salmon;
            background: #fff;
            .__content-answer {
              background: $salmon;
            }
            .__bg-blur{
              display: none !important;
            }
            img.icon-deleted {
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
          }

          img.image-button {
            position: absolute;
            right: 10px;
            bottom: 10px;
            height: 30px;
            width: 30px;
            object-fit: contain;
            box-shadow: 0 0 0 3px rgba($color: #2692ff, $alpha: 0.2);
            border-radius: 15px;
            overflow: hidden;
          }
          img.icon-deleted {
            position: absolute;
            right: 0px;
            top: 6px;
            cursor: pointer;
            display: none;
          }
          img.icon-matching {
            visibility: hidden;
            height: 13px;
            width: auto;
            position: absolute;
            right: -3px;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
            &.--right {
              // display: none;
              height: 13px;
              width: auto;
              position: absolute;
              left: -3px;
              top: 50%;
              transform: translateY(-50%);
              cursor: pointer;
              &.--example-matching {
                display: flex;
              }
            }

            &.--example-matching {
              display: flex;
            }
          }
          &.matching{
            img.icon-deleted {
              display: block;
            }
          }
        }
        &:nth-child(1),
        &:nth-child(3) {
          max-width: 155px;
          width: 155px;
          display: flex;
          overflow-y: auto;
          flex-direction: column;
          align-items: center;
          padding: 0 0.6rem;

          &::-webkit-scrollbar {
            width: 5px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
        }
        &:nth-child(2) {
          max-width: calc(100% - 36rem);
          width: calc(100% - 36rem);
          max-height: 100%;
          margin: 0 1rem;
          cursor: pointer;
          // box-shadow: 0 0 0 2px #97bee5;
          border-radius: 8px;
          display: flex;
          height: 100%;
          align-items: center;
          .wrap-image {
            max-height: 100%;
            .image-instruction{
              transition: all 2s;
            }
          }
          img {
            max-width: 100%;
            max-height: 100%;
            object-fit: contain;

            &.icon-matching-image {
              position: absolute;
              height: 13px;
              width: 13px;
              visibility: hidden;
              &.--example-icon-matching {
                visibility: visible;
              }
            }
          }
        }
        .item-image {
          & > .item-image-content{
            &.--is-apple-device{
              transform: scaleZ(0);
            }
            &.--image-default {
                          -webkit-filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            }
            &.--image-selected {
              -webkit-filter: drop-shadow(0.3rem 0.3rem 0 #2692ff)
                drop-shadow(-0.3rem -0.3rem 0 #2692ff);
              filter: drop-shadow(0.3rem 0.3rem 0 #2692ff)
                drop-shadow(-0.3rem -0.3rem 0 #2692ff);
            }
            &.--example-image {
              filter: drop-shadow(0.3rem 0.3rem 0 #67ab8d)
              drop-shadow(-0.3rem -0.3rem 0 #67ab8d);
            }
          }
          &.--success {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 $limeGreen)
              drop-shadow(-0.3rem -0.3rem 0 $limeGreen);
            }
          }
          &.--danger {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 $salmon)
              drop-shadow(-0.3rem -0.3rem 0 $salmon)
            }
          }
          &.--default {
            img.item-image-content {
              filter: drop-shadow(0.3rem 0.3rem 0 #fff)
              drop-shadow(-0.3rem -0.3rem 0 #fff);
            }
          }
          &:has(img.--example-image){
            z-index: 1;
          }
          &:has(img.--image-selected){
            z-index: 2;
          }
        }
      }
    }
  }
  .__space {
    width: 8rem;
    height: 2.2rem;
    margin: 0 0.5rem;
    border-bottom: 0.2rem solid $cornflower;
    display: inline-block;
  }
  .pt-o-block-paper {
    &__container {
      width: 100%;
      & > div {
        & > div:nth-child(2) {
          display: none;
        }
      }
    }
  }
}

@include screen-1024-landscape {
  .pt-o-game-draw-line-2 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 200px;
      max-width: 200px;
      height: 220px;
      max-height: 220px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 10.8rem;
        height: 10.8rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.6rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 205px);
      width:calc(100% - 205px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.6rem !important;
        position: absolute;
        bottom: 3.2rem;
        left: - 102.5px;
        transform: translateX(-50%);
        @media screen and (max-height: 600px) {
          bottom: 0;
        }
        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1rem 2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        height: calc(100% - 4rem);

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 0.6rem;
          }
          &_button {
            height: 90px;
            width: 90px;
            border: 1px dashed #2692ff;
            margin-bottom: 0.8rem;
            border-radius: 0.8rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }
            .__content-answer {
              border-radius: 0.8rem;
              img {
                height: calc(100% - 10px);
                width: calc(100% - 10px);
                object-fit: contain;
                margin: 0;
              }
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 120px;
            width: 120px;
            display: flex;
            overflow-y: auto;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;

            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(100% - 26rem);
            max-width: calc(100% - 25rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            height: 100%;
            img {
              // height: auto;
              max-width: 100%;
              // width: 100%;
              object-fit: contain;
              max-height: 100%;
            }
          }
        }
      }
    }
    .__space {
      width: 8rem;
      height: 2.2rem;
      margin: 0 0.5rem;
      border-bottom: 0.2rem solid $cornflower;
      display: inline-block;
    }
  }
}
@include screen-960-landscape {
  .pt-o-game-draw-line-2 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 130px;
      max-width: 130px;
      height: 180px;
      max-height: 180px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      margin-top: -6rem;

      & > .__player {
        width: 8.4rem;
        height: 8.4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 130px);
      width: calc(100% - 130px);
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 12rem;
        height: 4rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        position: absolute;
        bottom: 0.2rem;
        left: - 65px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.6rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient(#57c9ff, #2692ff);
        border-radius: 1.2rem 1.2rem 0 0;
        color: #fff;
        font-family: 'mont_m';
        font-size: 1.6rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        height: calc(100% - 4rem);

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 0.6rem;
          }
          &_button {
            height: 80px;
            width: 80px;
            border: 1px dashed #2692ff;
            margin-bottom: 0.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }
            .__content-answer {
              img {
                height: calc(100% - 10px);
                width: calc(100% - 10px);
                object-fit: contain;
                margin: 0;
              }
            }
            img.image-button {
              right: 9px;
              bottom: 9px;
              height: 26px;
              width: 26px;
              border-radius: 13px;
            }
            img.icon-deleted {
              right: 0px;
              top: 6px;
              height: 20px;
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 110px;
            width: 110px;
            display: flex;
            overflow-y: auto;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;

            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(100% - 22.2rem);
            max-width: calc(100% - 22.2rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            height: 100%;
            img {
              &.icon-matching-image {
                height: 10px;
                width: 10px;
              }
            }
          }
        }
      }
    }
    .pt-o-block-paper {
      width: 100%;
      height: 100%;
      padding: 2.6rem 1.6rem 2.6rem 1.6rem;
      position: relative;
    }
  }
}
@include screen-768-landscape{
  .pt-o-game-draw-line-2 {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;

      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;

        &.--hidden {
          display: none;
        }
        .__pin.--right {
          display: none;
        }
      }
    }
    &__left {
      width: 120px;
      max-width: 120px;
      height: 130px;
      max-height: 130px;
      border-radius: 9rem 0 0 9rem;
      flex-shrink: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;

      & > .__player {
        width: 4rem;
        height: 4rem;
      }

      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 1.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 0.6rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 120px);
      width: 100%;
      height: 100%;
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 7.6rem;
        height: 3rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        position: absolute;
        bottom: 0;
        left: - 60px;
        transform: translateX(-50%);

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.6rem 1.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        display: flex;
        height: calc(100% - 4rem);

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            width: 100%;
            padding: 0.6rem;
          }
          &_button {
            height: 65px;
            width: 65px;
            border: 1px dashed #2692ff;
            margin-bottom: 1rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            &:last-child {
              margin-bottom: 0;
            }
            img.image-button {
              right: 9px;
              bottom: 9px;
              height: 20px;
              width: 20px;
              border-radius: 12px;
            }
            img.icon-deleted {
              right: 0px;
              top: 6px;
              height: 16px;
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            max-width: 90px;
            width: 90px;
            display: flex;
            overflow-y: auto;
            flex-direction: column;
            align-items: center;
            padding: 0 0.6rem;

            &::-webkit-scrollbar {
              width: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(2) {
            width: calc(100% - 18.2rem);
            max-width: calc(100% - 18.2rem);
            margin: 0 0.5rem;
            cursor: pointer;
            // box-shadow: 0 0 0 2px #97bee5;
            border-radius: 8px;
            height: 100%;
            img {
              &.icon-matching-image {
                height: 10px;
                width: 10px;
              }
            }
          }
        }
      }
    }
  }
  .pt-o-block-paper {
    width: 100%;
    height: 100%;
    padding: 2.6rem 1.6rem 2.6rem 1.6rem;
    position: relative;
  }
}
@media only screen and (min-width: 767px) and (max-width: 1024px) and (max-aspect-ratio: 3999/3000)  {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-line-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 1.6rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 12rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem 2rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          width: 100%;
          &__list {
            padding: 1px 1px;
            position: absolute;
            display: flex;
            overflow-x: auto;
            flex-direction: row;
            width: unset;
            max-width:unset;
            height: 98%;
            align-items: center;
            overflow-y: hidden;
          }
          &_button {
            height: 120px;
            max-height: 120px;
            flex: none;
            width: 12rem;
            // max-width: 31rem;
            border: 1px dashed #2692ff;
            margin-bottom: 0.6rem;
            margin-right: 1.2rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            .__content-answer {
              position: relative;
              margin-left: 0;
              border: 1px solid #97bee5;
              border-radius: 0.8rem;
              display: flex;
              justify-content: center;
              align-items: center;
            }

            button.content-button {
              font-family: 'mont_m';
              height: 30px;
              min-height: 30px;
              width: auto;
              min-width: 11rem;
              // max-width: 30rem;
              padding: 0.6rem;
              text-align: center;
              border-radius: 2.1rem;
            }

            &.matching,
            &.matched {
              button.content-button {
                padding-left: 3rem;
                padding-right: 1rem;
              }
            }
            img.icon-matching {
              visibility: hidden;
              height: 13px;
              width: 13px;
              object-fit: contain;
              position: absolute;
              left: 48%;
              top: 98%;
              transform: translateY(-50%);
              cursor: pointer;

              &.--example-matching {
                display: flex;
              }
              &.--right {
                // display: none;
                height: 13px;
                width: auto;
                position: absolute;
                left: 50%;
                top: 0;
                transform: translate(-50%, -50%);
                cursor: pointer;
                &.--example-matching {
                  display: flex;
                }
              }
            }
          }

          &:nth-child(1),
          &:nth-child(3) {
            width: 100%;
            max-width: 100%;
            // max-height: max(60% , calc(100% - 100px));
            // height: max(60% , calc(100% - 152px)) ;
            height: 140px;
            cursor: pointer;
            margin: 0;
            padding: 0;
            box-shadow: none;
            overflow-x: auto;
            overflow-y: hidden;
            
          &::-webkit-scrollbar {
            height: 5px;
            background-color: transparent;
          }
          &::-webkit-scrollbar-track {
            background-color: transparent;
            border-radius: 10px;
          }
          &::-webkit-scrollbar-thumb {
            background: rgba(0, 0, 0, 0.2);
            border-radius: 10px;
          }
          }

          &:nth-child(2) {
            width: 100%;
            max-width: 100%;
            height: calc(100% - 284px);
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 767px) and (max-aspect-ratio: 3999/3000) {
  body#practice-test button {
    font-size: 1.4rem;
  }
  .pt-o-game-draw-line-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: auto;

      & > .__paper {
        width: 100%;
        font-size: 1.6rem;
        line-height: 2.4rem;

        .__pin.--left {
          top: 0.6rem;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 2rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 12rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: column;
      overflow: unset;
      justify-content: space-around;

      & > .__player {
        width: 4.8rem;
        height: 4.8rem;
        top: 0.6rem;
      }

      & > .__duration {
        position: relative;
        bottom: 0.6rem;
        transform: unset;
        left: unset;
        font-size: 1.8rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 12rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 16.6rem;
        height: 3.4rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.4rem !important;
        top: -5.2rem;
        bottom: unset;
        left: 87%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.4rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 1.6rem 3.2rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.8rem;
        line-height: 2.2rem;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 1rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: space-around;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 0.6rem;
            position: absolute;
            display: flex;
            overflow-x: auto;
            flex-direction: row;
            width: unset;
            overflow-y: hidden;
          }
          &_button {
            height: 10rem;
            max-height: 10rem;
            flex: none;
            width: auto;
            width: 10rem;
            // max-width: 37rem;
            border: 1px dashed #2692ff;
            margin-bottom: 1.6rem;
            margin-right: 1.6rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            img.image-button {
              right: 9px;
              bottom: 9px;
              height: 26px;
              width: 26px;
              border-radius: 13px;
            }
            img.icon-deleted {
              height: 20px;
              width: 20px;
              object-fit: contain;
              position: absolute;
              right: 5px;
              top: -5px;
              cursor: pointer;
              display: none;
            }
            img.icon-matching {
              visibility: hidden;
              height: 10px;
              width: 10px;
              object-fit: contain;
              position: absolute;
              left: 50%;
              top: 100%;
              transform: translate(-50%, -100%);
              cursor: pointer;

              &.--example-matching {
                display: flex;
              }
              &.--right {
                // display: none;
                height: 10px;
                width: 10px;
                width: auto;
                position: absolute;
                left: 50%;
                top: 0;
                transform: translate(-50%, -30%);
                cursor: pointer;
                &.--example-matching {
                  display: flex;
                }
              }
            }
          }
          &:nth-child(1),
          &:nth-child(3) {
            width: 100%;
            max-width: 100%;
            // max-height: max(60% , calc(100% - 100px));
            // height: max(60% , calc(100% - 152px)) ;
            height: 13rem;
            cursor: pointer;
            margin: 0;
            padding: 0;
            box-shadow: none;
            overflow-y: hidden;
            &::-webkit-scrollbar {
              height: 5px;
              background-color: transparent;
            }
            &::-webkit-scrollbar-track {
              background-color: transparent;
              border-radius: 10px;
            }
            &::-webkit-scrollbar-thumb {
              background: rgba(0, 0, 0, 0.2);
              border-radius: 10px;
            }
          }
          &:nth-child(3){
            .block-item_button{
              margin-bottom: 0;
              margin-top: 1.6rem;
            }
          }
          &:nth-child(2) {
            width: 100%;
            max-width: 100%;
            // max-height: max(60% , calc(100% - 100px));
            // height: max(60% , calc(100% - 162px)) ;
            height: calc(100% - 26.2rem);
            img {
              &.icon-matching-image {
                height: 10px;
                width: 10px;
              }
            }
          }
        }
      }
    }
  }
}

@include screen-mobile-portrait {
  body#practice-test button {
    font-size: 1.2rem;
  }
  .pt-o-game-draw-line-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: hidden;

      & > .__paper {
        width: 100%;
        font-size: 1.2rem;
        line-height: 2.2rem;

        .__pin.--left {
          top: 1rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 6rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: row;
      overflow: unset;
      justify-content: center;
      padding-top: 0.6rem;
      & > .__player {
        width: 3rem;
        height: 3rem;
        top: unset;
        position: relative;

        .pt-m-audio-player__play,
        .pt-m-audio-player__pause {
          width: 1.4rem !important;
          height: 2.3rem !important;
        }
      }

      & > .__duration {
        position: relative;
        bottom: 0;
        transform: unset;
        left: unset;
        font-size: 1.4rem;
        margin-left: 1.6rem;
      }
    }

    &__right {
      position: relative;
      max-width: calc(100% - 5vw);
      width: 100%;
      height: calc(100% - 6.5rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 8.6rem;
        height: 3rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        top: -4rem;
        bottom: unset;
        left: 84%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.2rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.5rem 1rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.4rem;
        line-height: 1.2 !important;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 0.6rem 0.6rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 5px 1px;
            height: 100%;
          }
          &_button {
            height: 70px;
            max-height: 70px;
            flex: none;
            width: 70px;
            border: 1px dashed #2692ff;
            margin-bottom: 0.6rem;
            margin-right: 1.2rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            .__content-answer {
              position: relative;
              margin-left: 0;
              border: 1px solid #97bee5;
              border-radius: 0.8rem;
              display: flex;
              justify-content: center;
              align-items: center;
            }

            button.content-button {
              font-family: 'mont_m';
              height: 30px;
              min-height: 30px;
              width: auto;
              min-width: 11rem;
              // max-width: 30rem;
              padding: 0.6rem;
              text-align: center;
              border-radius: 2.1rem;
            }

            &.matching,
            &.matched {
              button.content-button {
                padding-left: 3rem;
                padding-right: 1rem;
              }
            }
          }

          &:nth-child(1),
          &:nth-child(3) {
            width: 100%;
            max-width: 100%;
            height: 9rem;
            cursor: pointer;
            margin: 0;
            padding: 0;
            box-shadow: none;
          }
          &:nth-child(3){
            .block-item_button{
              margin-bottom: 0;
              margin-top: 0.6rem;
            }
          }
          &:nth-child(2) {
            width: unset;
            max-width: 100%;
            max-height: calc(100% - 18rem);
            height:  calc(100% - 18rem);
            padding: 0.35rem 0;
            img {
              &.icon-matching-image {
                height: 10px;
                width: 10px;
              }
            }
          }
        }
      }
    }
  }

}
@media only screen and (max-width: 360px) and (max-aspect-ratio: 3999/3000)  {
  .pt-o-game-draw-line-2 {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    &__container {
      height: 100%;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      overflow: hidden;

      & > .__paper {
        width: 100%;
        font-size: 1.2rem;
        line-height: 2.2rem;

        .__pin.--left {
          top: 1rem;
        }
      }
    }
    &__left {
      width: 100%;
      height: 5rem;
      border-radius: unset;
      border-top-left-radius: 50%;
      border-top-right-radius: 50%;
      max-width: unset;
      max-height: unset;
      flex-direction: row;
      overflow: unset;
      justify-content: center;
      padding-top: 0.6rem;
      & > .__player {
        width: 2.5rem;
        height: 2.5rem;
        top: unset;
        position: relative;

        .pt-m-audio-player__play,
        .pt-m-audio-player__pause {
          width: 1.4rem !important;
          height: 2.3rem !important;
        }
      }

      & > .__duration {
        position: relative;
        bottom: 0;
        transform: unset;
        left: unset;
        font-size: 1.4rem;
        margin-left: 1.6rem;
      }
    }

    &__right {
      position: relative;
      width: 100%;
      max-width: 100%;
      width: 100%;
      height: calc(100% - 5rem);
      margin: 0 auto;
      background: $white;
      border-radius: 1.2rem;
      display: flex;
      flex-direction: column;
      font-family: 'mont_m';

      & > .__tapescript {
        min-width: 8.6rem;
        height: 3rem;
        border-radius: 2.3rem;
        font-family: 'mont_b';
        font-size: 1.2rem !important;
        top: -4rem;
        bottom: unset;
        left: 84%;

        &:active {
          &::before {
            opacity: 1;
          }
        }

        &::before {
          width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          content: 'Tapescript';
          font-family: 'mont_b';
          font-size: 1.2rem;
          opacity: 0;
          top: 0;
          left: 0;
        }
      }

      & > .__header {
        padding: 0.5rem 1rem;
        background: linear-gradient($mayaBlue, $dodgerBlue);
        border-radius: 1.2rem 1.2rem 0 0;
        color: $white;
        font-family: 'mont_m';
        font-size: 1.2rem;
        line-height: 1.2 !important;
        position: relative;
        text-align: center;
        max-height: 45%;
        overflow: auto;
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: rgba(0, 0, 0, 0.2);
          border-radius: 10px;
        }
      }

      & > .__content {
        padding: 0.2rem 0.2rem;
        flex: 1;
        position: relative;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;

        .block-item {
          display: flex;
          justify-content: center;
          flex: none;
          position: relative;
          &__list {
            padding: 5px 1px;
          }
          &_button {
            height: 55px;
            max-height: 55px;
            flex: none;
            width: 55px;
            border: 1px dashed #2692ff;
            margin-bottom: 0.6rem;
            margin-right: 0.8rem;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            .__content-answer {
              position: relative;
              margin-left: 0;
              border: 1px solid #97bee5;
              border-radius: 0.8rem;
              display: flex;
              justify-content: center;
              align-items: center;
            }

            button.content-button {
              font-family: 'mont_m';
              height: 16px;
              min-height: 16px;
              width: auto;
              min-width: 11rem;
              // max-width: 30rem;
              padding: 0.6rem;
              text-align: center;
              border-radius: 0.9rem;
            }

            &.matching,
            &.matched {
              button.content-button {
                padding-left: 3rem;
                padding-right: 1rem;
              }
            }
            img.image-button {
              right: 5px;
              bottom: 5px;
              height: 14px;
              width: 14px;
              border-radius: 7px;
            }
            img.icon-deleted {
             width: 14px;
             height: 14px;
             top: -2px;
             right: -2px;
            }
          }

          &:nth-child(1),
          &:nth-child(3) {
            width: 100%;
            max-width: 100%;
            height: 7rem;
            cursor: pointer;
            margin: 0;
            padding: 0;
            box-shadow: none;
          }
          &:nth-child(3){
            .block-item_button{
              margin-bottom: 0;
              margin-top: 0.6rem;
            }
          }
          &:nth-child(2) {
            width: 100%;
            max-width: 100%;
            height: calc(100% - 14rem);
            img {
              &.icon-matching-image {
                height: 8px;
                width: 8px;
              }
            }
          }
        }
      }
    }
  }
}

